Name:           glassfish-hk2-api
Version:        2.3
Release:        1%{?dist}
Summary:        This is the javax.transaction's spec file.
License:        GPLv2+
URL:            http://www.fedoraproject.org
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: java-1.7.0-openjdk
BuildRequires: java-devel
BuildRequires: jvnet-parent

BuildRequires: args4j
BuildRequires: atinject
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: cdi-api
BuildRequires: cglib
# BuildRequires: codemodel
BuildRequires: felix-bundlerepository
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-hk2-utils
BuildRequires: aopalliance
%description
Very short description since we have nothing to say.
%prep
%setup -q

%build
export CLASSPATH="/usr/share/java/javax.inject-2.2.0.jar:/usr/share/java/felix/org.osgi.core.jar:/usr/share/java/osgi-resource-locator-1.0.1.jar:/usr/share/java/glassfish-hk2-utils-2.3.0.jar:/usr/share/java/aopalliance.jar"
javac `find . -name *.java`
jar cvf %{name}-%{version}.jar `find . -name *.class` 

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_javadir}
install -p -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/%{name}-%{version}.jar

%changelog
 * Tue Mar 19 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-1
- This is first version
